编辑器


语法高亮

Syntax Highlighting

现在,许多流行的编辑器都支持 ES2015+ 语法的高亮显示, 并且此功能开箱即用,然后有一些编辑器则需要安装额外的扩展。 本指南将帮助你为编辑器添加语法高亮的功能。

如果你需要更高级的集成方式,可以 查看 安装 一节。

小提示: 上面截图中使用的字体时 FiraCode

Atom

安装 language-babel 软件包 并按照 说明 进行操作。

Sublime Text 3

首先,安装 Package Control。 然后从 Package Control 菜单下安装 Babel 软件包 并按照 说明 进行操作。

Js中文网 – 前端进阶资源教程 www.javascriptC.com ,Babel中文文档
一个致力于帮助开发者用代码改变世界为使命的平台

Vim

安装 vim-javascript 插件,此插件为 JavaScript 在 Vim 上 提供了改进的语法高亮和缩进的支持。

另一个选择是使用 yajs.vimes.next.syntax

Visual Studio Code

安装 sublime-babel-vscode 扩展并按照说明进行操作。

似乎还有另一种方式可以添加语法高亮功能,你可以在 Visual Studio Code docs 文档中了解更多信息。

VSCode 插件推荐:

WebStorm

WebStorm 现在不需要安装任何扩展就能支持 ES2015+ 。 但是你可能需要 开启此功能

← 升级到 Babel 7 (API)插件 →

来源:Js中文网 – 前端进阶资源教程
链接:https://www.javascriptc.com/docs/babel-manual/editors

看完两件小事

如果你觉得这篇文章对你挺有启发,我想请你帮我两个小忙:

  1. 关注我们的 GitHub 博客,让我们成为长期关系
  2. 把这篇文章分享给你的朋友 / 交流群,让更多的人看到,一起进步,一起成长!
  3. 关注公众号 「IT平头哥联盟」,公众号后台回复「资源」 免费领取我精心整理的前端进阶资源教程

JS中文网是中国领先的新一代开发者社区和专业的技术媒体,一个帮助开发者成长的社区,目前已经覆盖和服务了超过 300 万开发者,你每天都可以在这里找到技术世界的头条内容。欢迎热爱技术的你一起加入交流与学习,JS中文网的使命是帮助开发者用代码改变世界